
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:permission_handler/permission_handler.dart';
import 'package:plugin_basic/base/base_stateless_page.dart';
import 'package:plugin_basic/utils/ext_get_nav.dart';
import 'package:cs_resources/constants/color_constants.dart';
import 'package:router/path/router_path.dart';
import 'package:widgets/ext/ex_widget.dart';
import 'package:widgets/my_appbar.dart';
import 'package:widgets/my_text_view.dart';
import 'package:widgets/utils/dark_theme_util.dart';

import 'notification_enable_controller.dart';

/*
  是否接收消息推送
 */
class NotificationEnablePage extends BaseStatelessPage<NotificationEnableController>{
  NotificationEnablePage({super.key});

  //启动当前页面
  static void startInstance() {
    return Get.start(RouterPath.NOTIFICATION_ENABLE);
  }

  @override
  NotificationEnableController createRawController() {
    return NotificationEnableController();
  }

  @override
  void initState() {}

  @override
  Widget buildWidget(BuildContext context) {

    return Scaffold(
        backgroundColor: DarkThemeUtil.multiColors(ColorConstants.pageBg, darkColor: ColorConstants.darkBlackBg),
        appBar: MyAppBar.appBar(context, "消息推送设置".tr),
        body: SafeArea(
          bottom: true,
          top: false,
          //真正的 Content 布局
          child: Scrollbar(
            child: SingleChildScrollView(
              child: autoCtlGetBuilder(builder: (controller) {
                return Column(
                  mainAxisSize: MainAxisSize.max,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    ListTile(
                      title: MyTextView(
                        '系统推送设置',
                        textColor: DarkThemeUtil.multiColors(ColorConstants.black, darkColor: ColorConstants.white),
                        fontSize: 16,
                        isFontMedium: true,
                      ).onTap(() {
                        //打开应用设置
                        openAppSettings();
                      }),
                    ),
                    Divider(
                      color: DarkThemeUtil.multiColors(ColorConstants.dividerD9, darkColor: ColorConstants.darkBlackItemDivider),
                      height: 0.5,
                    ),
                    ListTile(
                      title: MyTextView(
                        '允许消息推送',
                        textColor: DarkThemeUtil.multiColors(ColorConstants.black, darkColor: ColorConstants.white),
                        fontSize: 16,
                        isFontMedium: true,
                      ),
                      trailing: CupertinoSwitch(
                        value: controller.isSelected,
                        onChanged: (value) {
                          controller.changed(value);
                        },
                      ),
                    ),
                  ],
                );
              }),
            ),
          ),
        ));
  }
}
